Package tigase.eventbus.component.stores

## Class SubscriptionStore

- java.lang.Object
- - tigase.eventbus.component.stores.SubscriptionStore

-     @Bean(name="subscriptionStore",
            parent=EventBusComponent.class,
            active=true)
      public class SubscriptionStore
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubscriptionStore()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSubscription​(java.lang.String eventPackage, java.lang.String eventName, Subscription subscription)` |
    `java.util.Collection<Subscription>` | `getAllData()` |
    `java.util.Set<EventName>` | `getSubscribedEvents()` |
    `java.util.Collection<Subscription>` | `getSubscribersJIDs​(java.lang.String eventPackage, java.lang.String eventName)` |
    `boolean` | `hasSubscriber​(java.lang.String eventPackage, java.lang.String eventName)` |
    `void` | `remove​(Subscription jid)` |
    `void` | `removeSubscription​(java.lang.String eventPackage, java.lang.String eventName, Subscription jidInstanceNS)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final java.util.logging.Logger log

  - ### Constructor Detail

    - #### SubscriptionStore

          public SubscriptionStore()

  - ### Method Detail

    - #### addSubscription

          public void addSubscription​(java.lang.String eventPackage,
                                      java.lang.String eventName,
                                      Subscription subscription)

    - #### getAllData

          public java.util.Collection<Subscription> getAllData()

    - #### getSubscribedEvents

          public java.util.Set<EventName> getSubscribedEvents()

    - #### getSubscribersJIDs

          public java.util.Collection<Subscription> getSubscribersJIDs​(java.lang.String eventPackage,
                                                                       java.lang.String eventName)

    - #### hasSubscriber

          public boolean hasSubscriber​(java.lang.String eventPackage,
                                       java.lang.String eventName)

    - #### remove

          public void remove​(Subscription jid)

    - #### removeSubscription

          public void removeSubscription​(java.lang.String eventPackage,
                                         java.lang.String eventName,
                                         Subscription jidInstanceNS)